package com.jkcredit.stat.task;

import com.jkcredit.stat.service.UsedCarService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

/**
 * @author xusonglin
 * @version V1.0
 **/
@Component
@Slf4j
public class BillTask {
    @Autowired
    UsedCarService usedCarService;

    /**
     * 每周五12点整，发送周账单
     */
    @Scheduled(cron = "0 0 12 ? * FRI", zone = "Asia/Shanghai")
    public void sendBillMail() {
        usedCarService.sendBill();
    }

    /**
     * 每月1号早上9点，发送月账单
     */
    @Scheduled(cron = "0 0 9 1 * ?", zone = "Asia/Shanghai")
    public void sendMonthBillMail() {
        usedCarService.sendBill();
    }

    /**
     * 每隔5分钟，将redis账单详情写入服务器文件
     */
    @Scheduled(cron = "0 0/5 * * * ?", zone = "Asia/Shanghai")
    public void saveChargeBill() {
        usedCarService.saveBill();
    }
}
